GuideLab API

List Hold Reasons

List all hold reasons for the current lab, sorted by display order. Optionally include inactive reasons.

GET
/hold-reasons

List all hold reasons for the current lab, sorted by display order. Optionally include inactive reasons.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

includeInactive?||
Defaultfalse

Response Body

application/json

curl -X GET "https://example.com/hold-reasons"
{  "reasons": [    {      "id": "string",      "labId": "string",      "name": "string",      "sortOrder": 0,      "isActive": true,      "requiresFileReupload": true,      "autoFillNotes": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "truncated": true}
Empty
Empty